// Define regular expressions to be used in this section

var lowalpha=/[a-z]/
var upalpha=/[A-Z]/
var num=/[0-9]/
var splChars=/[@\[\]~!#%^\&*(){}:\.\;\\\/,\'\\+\"\=<>]/

// Regular expression definiton ends here


/* Function impementations follow ... */

// Function trims the passed string for left & right spaces and returns the trimmed string
function trim(str)
{
	var i,j;
	var newtxt="";
	var txt=str;

  if(txt==null || txt=='')
  	return '';

  for(i=0;(txt.substr(i,1)==" ");i++);
	
  j=txt.length;
	
  //Character equivalent for Unicode value 160 is blank space 
  //(Entered by pressing Alt 255 key combination)

  for(j=txt.length;( ( (txt.substr(j-1,1)==" ")||(txt.substr(j-1,1).charCodeAt(0)==160) ) && (j>=0) );j--);
	if (j<i)
		newtxt="";
	else
		newtxt=txt.substr(i,j-i);

  return newtxt;  	
}
// Function trim ends here

// Function checks whether parameter string is empty
function isEmpty(str)
{   
	return ( (trim(str) == null) || (trim(str).length == 0) ? true : false);
}
// Function isEmpty ends here

// Function checks whether parameter string is namespace
 function isNameSpace(str)
 {
	if (isEmpty(str))
		return false;
	str=trim(str);

	var ln=str.length;
	if (ln==0)
	  return false;
	for (var i=0;i<ln;i++)
	{
		var chr=str.substr(i,1);
		if ( !lowalpha.test(chr) && !upalpha.test(chr) && chr!=' ')
			return false;
	}
	return true;
 }
// Function isNameSpace ends here

// Function checks whether parameter string contains only alphabets

function isOnlyAlpha(str)
{
	var ln=str.length;
	for (var i=0;i<ln;i++)
	{
		var chr=str.substr(i,1);
		if ( !lowalpha.test(chr) && !upalpha.test(chr) )
			return false;
	}
	return true;
}
// Function isOnlyAlpha ends here

// Function checks whether parameter string contains only alphanumeric characters
function isAlphaNumeric(str)
{
	var ln=str.length;
	for (var i=0;i<ln;i++)
	{
		var chr=str.substr(i,1);
		if ( !lowalpha.test(chr) && !upalpha.test(chr) && !num.test(chr))
			return false;
	}
	return true;
}
// Function isAlphaNumeric ends here

// Function checks whether parameter is numeric or not
function isNumeric(str)
{
 	return !isNaN(str);
}

//Function checks whether email is valid or not
function isEmailValid(str) 
{
   if ( (str.indexOf('@',0)==-1) || (str.indexOf('@',0)== 0) || (str.indexOf('.',0)==-1) ) 
	   return false;

   if( ((str.indexOf('.'))-(str.indexOf('@')))==1)
	   return false;

   if ( ((str.length)-str.indexOf('.'))==1)
	   return false;

	return true;
}
//Function isEmailValid ends here

// Function to check if the entered parameter string is an integer or not	 
function isInteger(str)
{
	if (((str / str) != 1) && (str != 0) || (str.indexOf(".",0)>-1))
	{
		return false;
	}
	return true;
}