<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>

<jsp:include page="/jsp/jspUtils/header.jsp" flush="true"/>

<br><br>

<center>

<f:view>

<h:form id="form1">
     
<h:panelGrid columns="3" columnClasses="cellPlainText, cellPlainText, cellPlainText">

<h:outputText value="Transaction ID: "/> 
<h:inputText styleClass="blueTextField" id="firstName" value="#{transactionDetailForm.transactionId}" maxlength="50" size="25" required="true" ></h:inputText>
<h:commandButton styleClass="skButton" id="getTransactionDetails" value="Get Transaction Details" action="#{transactionDetailForm.getTransactionDetails}"></h:commandButton>

</h:panelGrid>

<br>

<f:subview id="header">
    <jsp:include page="/jsp/error/paypalError.jsp"/>
</f:subview>

<h:panelGrid columns="2" border="1" width="40%" columnClasses="cellPlainText, cellPlainText" 
rendered="#{transactionDetailForm.renderTable}"
cellpadding="1" cellspacing="0" styleClass="dataGridTable" >

<h:outputText styleClass="cellBoldText" value="Payment Info"/> 
<h:outputText value=""/>
<h:outputText value="Transaction ID"/> 
<h:outputText value="#{transactionDetailForm.transactionId}"></h:outputText>
<h:outputText value="Parent Transaction ID"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentInfo.parentTransactionID}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Receipt ID"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentInfo.receiptID}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Transaction Type"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentInfo.transactionType}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>

<h:outputText value="Payment Type"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentInfo.paymentType}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Payment Date"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentInfo.paymentDate.time}">
    <f:convertDateTime pattern="dd-MMM-yyyy hh:mm a" />
</h:outputText>
<h:outputText value="Gross Amount"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentInfo.grossAmount}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Fee Amount"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentInfo.feeAmount}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>

<h:outputText value="Settle Amount"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentInfo.settleAmount}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Exchange Rate"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentInfo.exchangeRate}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>

<h:outputText value="Payment Status"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentInfo.paymentStatus}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Pending Reason"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentInfo.pendingReason}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Reason Code"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentInfo.reasonCode}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>


<h:outputText styleClass="cellBoldText" value="Payer Info"/> 
<h:outputText value=""/> 


<h:outputText value="Payer"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.payer}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>

<h:outputText value="Payer ID"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.payerID}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Payer Business"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.payerBusiness}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Payer Status"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.payerStatus}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>

<h:outputText value="Salutation"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.payerName.salutation}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="First Name"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.payerName.firstName}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Middle Name"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.payerName.middleName}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Last Name"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.payerName.lastName}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Suffix"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.payerName.suffix}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>

<h:outputText styleClass="cellBoldText" value="Address"/> 
<h:outputText value=""/>

<h:outputText value="Address Status"/>
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.address.addressStatus}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Name"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.address.name}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Street1"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.address.street1}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Street2"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.address.street2}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="City"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.address.cityName}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="State Or Province"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.address.stateOrProvince}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Country"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.address.country}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Country Name"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.address.countryName}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Postal Code"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.address.postalCode}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>

<h:outputText value="Address Block"/>
<h:panelGrid id="addressBlock" columns="1" columnClasses="cellPlainText" 
cellpadding="0" cellspacing="0">
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.address.name}"/>
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.address.street1}"/>
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.address.street2}"/>
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.address.cityName}, #{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.address.stateOrProvince} #{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.address.postalCode}"/>
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.address.countryName}"/>
</h:panelGrid>

<h:outputText value="Phone"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.address.phone}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="External Address ID"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.address.externalAddressID}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Address ID"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.address.addressID}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="International Name"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.address.internationalName}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="International State And City"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.address.internationalStateAndCity}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="International Street"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.payerInfo.address.internationalStreet}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>

<h:outputText styleClass="cellBoldText" value="Receiver Info"/> 
<h:outputText value=""/> 

<h:outputText value="Business Email"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.receiverInfo.business}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Receiver Email"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.receiverInfo.receiver}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Receiver ID"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.receiverInfo.receiverID}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>

<h:outputText styleClass="cellBoldText" value="Payment Item Info"/> 
<h:outputText value=""/> 

<h:outputText value="Invoice ID"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentItemInfo.invoiceID}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Custom"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentItemInfo.custom}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Memo"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentItemInfo.memo}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Sales Tax"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentItemInfo.salesTax}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>

<h:outputText styleClass="cellBoldText" value="Auction"/> 
<h:outputText value=""/>

<h:outputText value="Buyer ID"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentItemInfo.auction.buyerID}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText value="Closing Date"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentItemInfo.auction.closingDate.time}"><f:verbatim>&nbsp;</f:verbatim>
    <f:convertDateTime pattern="dd-MMM-yyyy hh:mm a" /> 
</h:outputText>
<h:outputText value="Multi Item"/> 
<h:outputText value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentItemInfo.auction.multiItem}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>

<h:outputText rendered="#{transactionDetailForm.subscriptionRenderTable}" styleClass="cellBoldText" value="Subscription"/> 
<h:outputText rendered="#{transactionDetailForm.subscriptionRenderTable}" value=""/> 

<h:outputText rendered="#{transactionDetailForm.subscriptionRenderTable}" value="Subscription ID"/> 
<h:outputText rendered="#{transactionDetailForm.subscriptionRenderTable}" value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentItemInfo.subscription.subscriptionID}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText rendered="#{transactionDetailForm.subscriptionRenderTable}" value="Subscription Date"/> 
<h:outputText rendered="#{transactionDetailForm.subscriptionRenderTable}" value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentItemInfo.subscription.subscriptionDate.time}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText rendered="#{transactionDetailForm.subscriptionRenderTable}" value="Effective Date"/> 
<h:outputText rendered="#{transactionDetailForm.subscriptionRenderTable}" value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentItemInfo.subscription.effectiveDate.time}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText rendered="#{transactionDetailForm.subscriptionRenderTable}" value="Retry Time"/> 
<h:outputText rendered="#{transactionDetailForm.subscriptionRenderTable}" value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentItemInfo.subscription.retryTime.time}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText rendered="#{transactionDetailForm.subscriptionRenderTable}" value="Username"/> 
<h:outputText rendered="#{transactionDetailForm.subscriptionRenderTable}" value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentItemInfo.subscription.username}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText rendered="#{transactionDetailForm.subscriptionRenderTable}" value="Password"/> 
<h:outputText rendered="#{transactionDetailForm.subscriptionRenderTable}" value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentItemInfo.subscription.password}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText rendered="#{transactionDetailForm.subscriptionRenderTable}" value="Recurrences"/> 
<h:outputText rendered="#{transactionDetailForm.subscriptionRenderTable}" value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentItemInfo.subscription.retryTime.recurrences}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText rendered="#{transactionDetailForm.subscriptionRenderTable}" value="Reattempt"/> 
<h:outputText rendered="#{transactionDetailForm.subscriptionRenderTable}" value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentItemInfo.subscription.reattempt}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>
<h:outputText rendered="#{transactionDetailForm.subscriptionRenderTable}" value="Recurring"/> 
<h:outputText rendered="#{transactionDetailForm.subscriptionRenderTable}" value="#{transactionDetailForm.resp.paymentTransactionDetails.paymentItemInfo.subscription.recurring}"><f:verbatim>&nbsp;</f:verbatim></h:outputText>


</h:panelGrid>

<h:panelGrid columns="1" width="40%" border="1" columnClasses="cellPlainText" 
cellpadding="1" cellspacing="0" styleClass="dataGridTable" >
<t:dataTable id="data" value="#{transactionDetailForm.paymentItems}" 
    rendered="#{transactionDetailForm.paymentItemsRenderTable}" 
    var="list" border="1" cellpadding="2" cellspacing="2" width="100%" 
    styleClass="dataGridTable" 
    headerClass="BlueTitleBarBottomRight" 
    columnClasses="cellPlainText, cellPlainText"
    rowOnMouseOver="this.style.backgroundColor='#A5CBFF'"
    rowOnMouseOut="this.style.backgroundColor='#FFFFE0'">
    <t:column>
        <f:facet name="header">
        <h:outputText value="Name"/>
        </f:facet>
        <h:outputText id="name"
           value="#{list.name}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Number"/>
        </f:facet>
        <h:outputText id="number"
           value="#{list.number}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Quantity"/>
        </f:facet>
        <h:outputText id="quantity"
           value="#{list.quantity}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Sales Tax"/>
        </f:facet>
        <h:outputText id="salesTax"
           value="#{list.salesTax}"/>
    </t:column>
</t:dataTable>
</h:panelGrid>

<h:panelGrid columns="1" border="1" width="40%" columnClasses="BlueTitleBar" 
rendered="#{transactionDetailForm.subscriptionTermsRenderTable}" 
cellpadding="1" cellspacing="0" styleClass="dataGridTable" >
<h:outputText value="Subscription Terms"/> 
</h:panelGrid>

<h:panelGrid columns="1" border="1" width="40%" columnClasses="cellPlainText" 
cellpadding="1" cellspacing="0" styleClass="dataGridTable" >
<t:dataTable id="data" value="#{transactionDetailForm.subscriptionTerms}" 
    rendered="#{transactionDetailForm.subscriptionTermsRenderTable}" 
    var="list" border="1" cellpadding="2" cellspacing="2" width="100%" 
    styleClass="dataGridTable" 
    headerClass="BlueTitleBarBottomRight" 
    columnClasses="cellPlainText, cellPlainText"
    rowOnMouseOver="this.style.backgroundColor='#A5CBFF'"
    rowOnMouseOut="this.style.backgroundColor='#FFFFE0'">
    <t:column>
        <f:facet name="header">
        <h:outputText value="Amount"/>
        </f:facet>
        <h:outputText id="amount"
           value="#{list.amount}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Currency ID"/>
        </f:facet>
        <h:outputText id="currencyID"
           value="#{list.amount.currencyID}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Period"/>
        </f:facet>
        <h:outputText id="period"
           value="#{list.period}"/>
    </t:column>
</t:dataTable>
</h:panelGrid>

</h:form>
</f:view>


<br>
<f:view>
<h:message id="messageError" for="messageError" styleClass="error" />
</f:view>
</center>

</body>
</html>
