<%@ page import="java.util.Date"%>
<%@ page session="false" contentType="text/html;charset=utf-8"%>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>

<jsp:include page="/jsp/jspUtils/header.jsp" flush="true">
  <jsp:param name="includePopUp" value="true"/>
</jsp:include>

<f:view>
  
<h:form id="form1">

<h:outputText styleClass="cellBoldText" value="Transaction History"/>
<f:verbatim><br></f:verbatim>
<center>



<h:panelGrid id="searchGrid" columns="8" columnClasses="cellPlainText, cellPlainText, cellPlainText, cellPlainText, cellPlainText, cellPlainText, cellPlainText, cellPlainText" 
cellpadding="3">

<h:outputText value="Start Date: "/>
<t:inputCalendar id="startDate" monthYearRowClass="yearMonthHeader" 
     styleClass="blueTextField"
     weekRowClass="weekHeader" 
     renderAsPopup="true" 
     renderPopupButtonAsImage="true" 
     currentDayCellClass="currentDayCell" 
     value="#{transactionHistoryForm.startDate}" 
     required="true"
     popupDateFormat="dd-MMM-yyyy hh:ss a" 
     popupTodayString="today" popupWeekString="week" />
<h:outputText value="End Date: "/>
<t:inputCalendar id="endDate" monthYearRowClass="yearMonthHeader" weekRowClass="weekHeader" 
     styleClass="blueTextField"
     renderAsPopup="true" 
     renderPopupButtonAsImage="true" 
     currentDayCellClass="currentDayCell" 
     value="#{transactionHistoryForm.endDate}" 
     popupDateFormat="dd-MMM-yyyy hh:ss a"
     popupTodayString="today" popupWeekString="week" />
     
<h:outputText value="Payer Email: "/>
<h:inputText styleClass="blueTextField" id="payerEmail" value="#{transactionHistoryForm.payerEmail}" maxlength="50" size="30" required="false" ></h:inputText>
<h:outputText value=""/>
<h:outputText value=""/>
   
<h:outputText value="Transaction ID: "/>
<h:inputText styleClass="blueTextField" id="transactionId" value="#{transactionHistoryForm.transactionId}" maxlength="50" size="20" required="false" ></h:inputText>
<h:outputText value="Transaction Class: "/>
<h:selectOneMenu styleClass="blueTextField" id="transactionClass" value="#{transactionHistoryForm.transactionClass}">
        <f:selectItems value="#{transactionHistoryForm.transactionClasses}" />
</h:selectOneMenu>
<h:outputText value="Receipt ID: "/>
<h:inputText styleClass="blueTextField" id="receiptId" value="#{transactionHistoryForm.receiptId}" maxlength="50" size="30" required="false" ></h:inputText>
<h:outputText value=""/>
<h:outputText value=""/>


<h:outputText value="Item Number: "/>
<h:inputText styleClass="blueTextField" id="itemNumber" value="#{transactionHistoryForm.itemNumber}" maxlength="50" size="20" required="false" ></h:inputText>
<h:outputText value="Amount: "/>
<h:inputText styleClass="blueTextField" id="amount" value="#{transactionHistoryForm.amount}" maxlength="50" size="20" required="false" ></h:inputText>
<h:outputText value="Currency Code: "/>
<h:selectOneMenu styleClass="blueTextField" id="currencyCode" value="#{transactionHistoryForm.currencyCode}">
        <f:selectItems value="#{transactionHistoryForm.currencyCodes}" />
</h:selectOneMenu>
<h:outputText value="Status: "/>
<h:selectOneMenu styleClass="blueTextField" id="status" value="#{transactionHistoryForm.status}">
        <f:selectItems value="#{transactionHistoryForm.statuses}" />
</h:selectOneMenu>

<h:outputText value="Receiver Email: "/>
<h:inputText styleClass="blueTextField" id="receiverEmail" value="#{transactionHistoryForm.receiverEmail}" maxlength="50" size="20" required="false" ></h:inputText>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>

<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:commandButton styleClass="skButton" id="getTransactionSearch" value="Get Transaction History" action="#{transactionHistoryForm.searchTransaction}"></h:commandButton>

</h:panelGrid>

<h:panelGrid id="outputFormat" columns="2" columnClasses="cellPlainText, cellPlainText">
     <h:outputText value="Output Format: "/>
     <h:selectOneRadio id="r1" value="#{transactionHistoryForm.outputFormat}">
          <f:selectItem itemValue="format1" itemLabel="format1" />
          <f:selectItem itemValue="format2" itemLabel="format2"  />
     </h:selectOneRadio>
</h:panelGrid>



<h:outputText styleClass="error" value="* this request will take some time as multiple requests has to be made to PayPal server. The time to get data depends on the number of transactions."/> 

<h:message id="startDateError" for="form1:startDate" styleClass="error" />

<h:panelGrid id="errorGrid" columns="1" border="1" columnClasses="BlueTitleBar" 
rendered="#{transactionHistoryForm.renderErrorTable}" 
cellpadding="0" cellspacing="0" styleClass="dataGridTable" >
<h:outputText rendered="#{transactionHistoryForm.renderErrorTable}"  value="Error message received from PayPal server"/> 

<t:dataTable id="errorData" value="#{transactionHistoryForm.errorDataModel}" 
    rendered="#{transactionHistoryForm.renderErrorTable}" 
    var="errorList" border="1" cellpadding="1" cellspacing="1" width="100%" 
    styleClass="dataGridTable" 
    headerClass="BlueTitleBarBottomRight" 
    columnClasses="cellPlainText, cellPlainText"
    rowOnMouseOver="this.style.backgroundColor='#A5CBFF'"
    rowOnMouseOut="this.style.backgroundColor='#FFFFE0'">
    <t:column>
        <f:facet name="header">
        <h:outputText value="Error Code"/>
        </f:facet>
        <h:outputText id="errorCode"
           value="#{errorList.errorCode}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Severity Code"/>
        </f:facet>
        <h:outputText id="severityCode"
           value="#{errorList.severityCode}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Short Message"/>
        </f:facet>
        <h:outputText id="shortMessage"
           value="#{errorList.shortMessage}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Long Message"/>
        </f:facet>
        <h:outputText id="longMessage"
           value="#{errorList.longMessage}"/>
    </t:column>
</t:dataTable>
</h:panelGrid>

</h:form>

<h:message id="messageError" for="messageError" styleClass="error" />

</f:view>



</center>
</body>
</html>

