<%@ page import="java.util.Date"%>
<%@ page session="false" contentType="text/html;charset=utf-8"%>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>

<jsp:include page="/jsp/jspUtils/header.jsp" flush="true">
  <jsp:param name="includePopUp" value="true"/>
</jsp:include>

<f:view>
  
<h:form id="form1">

<h:outputText styleClass="cellBoldText" value="Transaction Search"/>
<f:verbatim><br></f:verbatim>
<center>



<h:panelGrid id="searchGrid" columns="8" columnClasses="cellPlainText, cellPlainText, cellPlainText, cellPlainText, cellPlainText, cellPlainText, cellPlainText, cellPlainText" 
cellpadding="3">

<h:outputText value="Start Date: "/>
<t:inputCalendar id="startDate" monthYearRowClass="yearMonthHeader" 
     styleClass="blueTextField"
     weekRowClass="weekHeader" 
     renderAsPopup="true" 
     renderPopupButtonAsImage="true" 
     currentDayCellClass="currentDayCell" 
     value="#{transactionSearchForm.startDate}" 
     required="true"
     popupDateFormat="dd-MMM-yyyy hh:ss a" 
     popupTodayString="today" popupWeekString="week" />
<h:outputText value="End Date: "/>
<t:inputCalendar id="endDate" monthYearRowClass="yearMonthHeader" weekRowClass="weekHeader" 
     styleClass="blueTextField"
     renderAsPopup="true" 
     renderPopupButtonAsImage="true" 
     currentDayCellClass="currentDayCell" 
     value="#{transactionSearchForm.endDate}" 
     popupDateFormat="dd-MMM-yyyy hh:ss a"
     popupTodayString="today" popupWeekString="week" />
     
<h:outputText value="Payer Email: "/>
<h:inputText styleClass="blueTextField" id="payerEmail" value="#{transactionSearchForm.payerEmail}" maxlength="50" size="30" required="false" ></h:inputText>
<h:outputText value=""/>
<h:outputText value=""/>
   
<h:outputText value="Transaction ID: "/>
<h:inputText styleClass="blueTextField" id="transactionId" value="#{transactionSearchForm.transactionId}" maxlength="50" size="20" required="false" ></h:inputText>
<h:outputText value="Transaction Class: "/>
<h:selectOneMenu styleClass="blueTextField" id="transactionClass" value="#{transactionSearchForm.transactionClass}">
        <f:selectItems value="#{transactionSearchForm.transactionClasses}" />
</h:selectOneMenu>
<h:outputText value="Receipt ID: "/>
<h:inputText styleClass="blueTextField" id="receiptId" value="#{transactionSearchForm.receiptId}" maxlength="50" size="30" required="false" ></h:inputText>
<h:outputText value=""/>
<h:outputText value=""/>


<h:outputText value="Item Number: "/>
<h:inputText styleClass="blueTextField" id="itemNumber" value="#{transactionSearchForm.itemNumber}" maxlength="50" size="20" required="false" ></h:inputText>
<h:outputText value="Amount: "/>
<h:inputText styleClass="blueTextField" id="amount" value="#{transactionSearchForm.amount}" maxlength="50" size="20" required="false" ></h:inputText>
<h:outputText value="Currency Code: "/>
<h:selectOneMenu styleClass="blueTextField" id="currencyCode" value="#{transactionSearchForm.currencyCode}">
        <f:selectItems value="#{transactionSearchForm.currencyCodes}" />
</h:selectOneMenu>
<h:outputText value="Status: "/>
<h:selectOneMenu styleClass="blueTextField" id="status" value="#{transactionSearchForm.status}">
        <f:selectItems value="#{transactionSearchForm.statuses}" />
</h:selectOneMenu>

<h:outputText value="Receiver Email: "/>
<h:inputText styleClass="blueTextField" id="receiverEmail" value="#{transactionSearchForm.receiverEmail}" maxlength="50" size="20" required="false" ></h:inputText>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>

<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:commandButton styleClass="skButton" id="getTransactionSearch" value="Transaction Search" action="#{transactionSearchForm.searchTransaction}"></h:commandButton>

</h:panelGrid>

<h:message id="startDateError" for="form1:startDate" styleClass="error" />

<h:panelGrid id="errorGrid" columns="1" border="1" columnClasses="BlueTitleBar" 
rendered="#{transactionSearchForm.renderErrorTable}" 
cellpadding="0" cellspacing="0" styleClass="dataGridTable" >
<h:outputText rendered="#{transactionSearchForm.renderErrorTable}"  value="Error message received from PayPal server"/> 

<t:dataTable id="errorData" value="#{transactionSearchForm.errorDataModel}" 
    rendered="#{transactionSearchForm.renderErrorTable}" 
    var="errorList" border="1" cellpadding="1" cellspacing="1" width="100%" 
    styleClass="dataGridTable" 
    headerClass="BlueTitleBarBottomRight" 
    columnClasses="cellPlainText, cellPlainText"
    rowOnMouseOver="this.style.backgroundColor='#A5CBFF'"
    rowOnMouseOut="this.style.backgroundColor='#FFFFE0'">
    <t:column>
        <f:facet name="header">
        <h:outputText value="Error Code"/>
        </f:facet>
        <h:outputText id="errorCode"
           value="#{errorList.errorCode}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Severity Code"/>
        </f:facet>
        <h:outputText id="severityCode"
           value="#{errorList.severityCode}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Short Message"/>
        </f:facet>
        <h:outputText id="shortMessage"
           value="#{errorList.shortMessage}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Long Message"/>
        </f:facet>
        <h:outputText id="longMessage"
           value="#{errorList.longMessage}"/>
    </t:column>
</t:dataTable>
</h:panelGrid>

	    
<t:dataTable id="data" value="#{transactionSearchForm.dataModel}" 
    rendered="#{transactionSearchForm.renderTable}" 
    var="list" border="1" cellpadding="1" cellspacing="1" width="100%" 
    styleClass="dataGridTable" 
    headerClass="BlueTitleBarBottomRight" 
    columnClasses="cellPlainText, cellPlainText, cellPlainText, cellPlainText, cellPlainText, cellPlainTextAlignRight, cellPlainTextAlignRight, cellPlainTextAlignRight, cellPlainText, cellPlainText"
    rowOnMouseOver="this.style.backgroundColor='#A5CBFF'"
    rowOnMouseOut="this.style.backgroundColor='#FFFFE0'">
    <t:column>
        <f:facet name="header">
        <h:outputText value="Timestamp"/>
        </f:facet>
        <h:outputText id="timestamp"
           value="#{list.timestamp.time}">
           <f:convertDateTime pattern="dd-MMM-yyyy hh:mm a" />
        </h:outputText>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Type"/>
        </f:facet>
        <h:outputText id="transactionType"
           value="#{list.type}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Payer Email"/>
        </f:facet>
        <h:outputText id="payerEmail"
           value="#{list.payer}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Payer Name"/>
        </f:facet>
        <h:outputText id="payerDisplayName"
           value="#{list.payerDisplayName}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Status"/>
        </f:facet>
        <h:outputText id="status"
           value="#{list.status}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Gross Amt"/>
        </f:facet>
        <h:outputText id="grossAmount"
           value="#{list.grossAmount}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Fee Amt"/>
        </f:facet>
        <h:outputText id="feeAmount"
           value="#{list.feeAmount}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Net Amt"/>
        </f:facet>
        <h:outputText id="netAmount"
           value="#{list.netAmount}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Curr"/>
        </f:facet>
        <h:outputText id="currencyCode"
           value="#{list.grossAmount.currencyID}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Tr. ID/Details"/>
        </f:facet>
        <h:commandLink title="Details" immediate="true" 
    		 onmousedown="showDetails('../transactions/popTransactionDetails.jsf?transactionId=#{list.transactionID}', '#{list.transactionID}')"
    		 onclick="return false;">
    		 <h:outputText value="#{list.transactionID}"/>
        </h:commandLink>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Refund"/>
        </f:facet>
        <h:outputLink title="Go to Refund Transaction" 
    		 value="../transactions/refundTransaction.jsf?transactionId=#{list.transactionID}&amount=#{list.grossAmount}">
    		 <f:verbatim>Refund</f:verbatim>
        </h:outputLink>
    </t:column>


</t:dataTable>
</h:form>

<h:message id="messageError" for="messageError" styleClass="error" />

</f:view>



</center>
</body>
</html>

